Summary:       The NetBSD make(1) tool
Name:          bmake
Version:       20201010
Release:       %mkrel 1
License:       BSD
Group:         Development/Tools
URL:           https://ftp.netbsd.org/pub/NetBSD/misc/sjg/
Source0:       https://ftp.netbsd.org/pub/NetBSD/misc/sjg/bmake-%{version}.tar.gz
Requires:      pmake
BuildRequires: pmake
BuildRequires: util-linux

%description
bmake, the NetBSD make tool, is a program designed to simplify the
maintenance of other programs.  The input of bmake is a list of specifications
indicating the files upon which the targets (programs and other files) depend.
bmake then detects which targets are out of date based on their dependencies
and triggers the necessary commands to bring them up to date when that happens.

bmake is similar to GNU make, even though the syntax for the advanced features
supported in Makefiles is very different.

%prep
%setup -q -n %{name}

%build
%configure --with-default-sys-path=%{_datadir}/mk
sh ./make-bootstrap.sh

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -c bmake %{buildroot}%{_bindir}/bmake
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 -c make.1 %{buildroot}%{_mandir}/man1/bmake.1

%files
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sun Oct 25 2020 shlomif <shlomif> 20201010-1.mga8
+ Revision: 1639284
- New version 20201010

* Sun Jul 12 2020 shlomif <shlomif> 20200710-1.mga8
+ Revision: 1605399
- New version 20200710

* Sat May 30 2020 shlomif <shlomif> 20200524-1.mga8
+ Revision: 1589079
- New version 20200524

* Thu May 21 2020 shlomif <shlomif> 20200517-1.mga8
+ Revision: 1586608
- New version 20200517

* Sat Feb 15 2020 umeabot <umeabot> 20181221-2.mga8
+ Revision: 1523905
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 shlomif <shlomif> 20181221-1.mga7
+ Revision: 1377627
- New version - thanks to fedora

* Fri Sep 21 2018 umeabot <umeabot> 20170812-2.mga7
+ Revision: 1295584
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 shlomif <shlomif> 20170812-1.mga7
+ Revision: 1168040
- New version 20170812

* Mon Jul 17 2017 shlomif <shlomif> 20170711-1.mga7
+ Revision: 1123908
- New version 20170711

* Sat Jan 14 2017 shlomif <shlomif> 20161212-1.mga6
+ Revision: 1081634
- New upstream version 20161212.

* Wed Jul 06 2016 shlomif <shlomif> 20150910-1.mga6
+ Revision: 1039191
- Importing based on the Fedora pkg

